import _addEvent from './lib/addEvent';

class XTouch {
  constructor(config) {
    let _config = config || {};
    // 滑动最小距离
    this.slideMin = _config.slideMin || 50;
    // 点击最大距离
    this.tapMin = _config.tapMin || 10;
    // 长按最短时间
    this.longTapTime = _config.longTapTime || 300;
  }
  init() {
    let that = this;
    // 使用function 定义，使this指向事件绑定的DOM
    HTMLElement.prototype.xtouch = function (type, callback) {
      // 初始化状态
      let status = {
        type, callback,
        // 触摸起始坐标
        startScreenX: 0,
        startScreenY: 0,
        // 触摸结束坐标
        endScreenX: 0,
        endScreenY: 0,
        // X轴、Y轴坐标差值
        diff_X: 0,
        diff_Y: 0,
        // X轴、Y轴坐标差值绝对值
        diff_Abs_X: 0,
        diff_Abs_Y: 0,
        // 防误触距离
        slideMin: that.slideMin,
        tapMin: that.tapMin,
        longTapTime: that.longTapTime,
        // 计时器
        timer: null,
        time: 0
      };
      _addEvent.call(this, status);
    };
  }
}

export default XTouch;