import * as _actions from './actions';

function addEvent(status) {
  this.addEventListener('touchstart', (e) => {
    e.preventDefault();
    status.startScreenX = e.touches[0].screenX;
    status.startScreenY = e.touches[0].screenY;
    status.endScreenX = e.touches[0].screenX;
    status.endScreenY = e.touches[0].screenY;
    status.time = 0;
    status.timer = setInterval(() => {
      status.time = status.time + 10;
    }, 10);
  }, { passive: false });

  this.addEventListener('touchmove', (e) => {
    e.preventDefault();
    status.endScreenX = e.touches[0].screenX;
    status.endScreenY = e.touches[0].screenY;
  }, { passive: false });

  this.addEventListener('touchend', (e) => {
    e.preventDefault();
    clearInterval(status.timer);
    status.diff_X = status.startScreenX - status.endScreenX;
    status.diff_Y = status.startScreenY - status.endScreenY;
    status.diff_Abs_X = Math.abs(status.diff_X);
    status.diff_Abs_Y = Math.abs(status.diff_Y);
    switch (status.type) {
      case 'longTap':
        _actions.longTap.call(this, status);
        break;
      case 'swipUp':
        _actions.swipUp.call(this, status);
        break;
      case 'swipDown':
        _actions.swipDown.call(this, status);
        break;
      case 'swipRight':
        _actions.swipRight.call(this, status);
        break;
      case 'swipLeft':
        _actions.swipLeft.call(this, status);
        break;
      default:
        _actions.tap.call(this, status);
        break;
    }
  }, { passive: false });
}

export default addEvent;