import resolve from 'rollup-plugin-node-resolve';
import babel from 'rollup-plugin-babel';
import uglify from 'rollup-plugin-uglify';
import { minify } from 'uglify-es';

const PACKAGE_FILE_NAME = 'x-touch';
const PACKAGE_NAME = 'XTouch';
const OUT_PUT_PATH = './dist/';

export default {
  input: './index.js',
  output: [{
    file: `${OUT_PUT_PATH}${PACKAGE_FILE_NAME}.min.js`,
    name: `${PACKAGE_NAME}`,
    format: 'umd'
  }],
  plugins: [
    resolve(),
    babel({
      exclude: 'node_modules/**'
    }),
    uglify({}, minify)
  ]
};